<?xml version="1.0" encoding="UTF-8"?>

<project
        xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
        xmlns="http://maven.apache.org/POM/4.0.0"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>

  <groupId>com.huatek.frame</groupId>
  <artifactId>busi-calculate-common</artifactId>
  <version>1.0</version>
  <packaging>jar</packaging>
  <name>busi-calculate-common</name>
  <url>http://maven.apache.org</url>

  <properties>
    <hutool-all.version>5.7.5</hutool-all.version>
  </properties>

  <dependencies>
    <dependency>
      <groupId>cn.hutool</groupId>
      <artifactId>hutool-all</artifactId>
      <version>${hutool-all.version}</version>
    </dependency>
      <dependency>
          <groupId>org.apache.commons</groupId>
          <artifactId>commons-lang3</artifactId>
          <version>3.9</version>
          <scope>compile</scope>
      </dependency>
      <dependency>
          <groupId>com.huatek.busi</groupId>
          <artifactId>busi-back-model</artifactId>
          <version>1.0</version>
          <scope>compile</scope>
      </dependency>
      <!--      <dependency>-->
<!--          <groupId>junit</groupId>-->
<!--          <artifactId>junit</artifactId>-->
<!--          <version>4.12</version>-->
<!--          <scope>compile</scope>-->
<!--      </dependency>-->

  </dependencies>

  <build>
    <finalName>busi-calculate-common</finalName>
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-compiler-plugin</artifactId>
          <configuration>
            <source>1.8</source>
            <target>1.8</target>
            <encoding>UTF-8</encoding>
            <compilerArguments>
              <extdirs>${project.basedir}/src/main/webapp/WEB-INF/lib</extdirs>
            </compilerArguments>
          </configuration>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-jar-plugin</artifactId>
          <configuration>
            <archive>
              <addMavenDescriptor>false</addMavenDescriptor>
            </archive>
          </configuration>
        </plugin>
      </plugins>
    </pluginManagement>
  </build>
</project>
